add asdf-vm

Sat, 28 May 2016 18:30:33 -0400

author
Meredith Howard <mhoward@roomag.org>
date
Sat, 28 May 2016 18:30:33 -0400
changeset 328
b3b18ced6949
parent 327
c11c41360b9c
child 329
d67e61bd4418

add asdf-vm

.profile.common file | annotate | diff | comparison | revisions
bin/homedir-setup file | annotate | diff | comparison | revisions
--- a/.profile.common
+++ b/.profile.common
@@ -7,6 +7,10 @@ export DEVEL_REPL_PROFILE='Standard'
 alias hgcd='cd $(hg root)'
 alias gcd='cd "$(git rev-parse --show-toplevel)"'
 
+if [ -d ~/.asdf ]; then
+  source ~/.asdf/asdf.sh
+fi
+
 if [ -f ~/.profile.common.local ]; then
   source ~/.profile.common.local
 fi
--- a/bin/homedir-setup
+++ b/bin/homedir-setup
@@ -46,3 +46,13 @@ else
   pull .ndenv/plugins/node-build
 fi
 
+if ! [ -d .asdf ]; then
+  git clone https://github.com/asdf-vm/asdf .asdf
+  git clone https://github.com/asdf-vm/asdf-erlang .asdf/plugins/erlang
+  git clone https://github.com/asdf-vm/asdf-elixir .asdf/plugins/elixir
+else
+  pull .asdf
+  pull .asdf/plugins/erlang
+  pull .asdf/plugins/elixir
+fi
+

mercurial